Subject: bug#14021: Activation of both Semantic and EDE disables their common submenu in main emacs menu, leaving it available only in visible menu bar

From: David Engster <[email-masked]>
Date: Mon, 10 Feb 2014 22:59:47 +0100

Glenn Morris writes:
> David Engster wrote:
>
>>> * emacs -Q
>>>
>>> * M-x menu-bar-mode, so that menu-bar is disabled
>>>
>>> * M-x semantic-mode
>>>
>>> * M-x global-ede-mode
>>>
>>> * Now do C-Mouse 3 to open the "global menu" popup (which I didn't know
>>>   existed until yesterday...)
>>>
>>> Look at the "Development" menu at the bottom. It might be disabled. If
>>> not, try the recipe again - it seems to be a race condition.
>>
>> I was wrong here; there's no race condition, but it depends on the order
>> of mode activation. If you *first* enable global-ede-mode and then
>> semantic-mode, the Development menu will be disabled. So to be clear:
>> the above recipe is false; you have to do 'M-x global-ede-mode' first,
>> and then do 'M-x semantic-mode'.
>
> I could not seem to reproduce this. Was it fixed?

I managed to work around it with this patch, which is also in Emacs:

http://cedet.bzr.sourceforge.net/bzr/cedet/code/trunk/revision/8507

I think there is a bug in how the global menu is handling this, but I
guess that should be a separate bug report? IOW, I'd have no problem
with closing this.

-David